# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "debot-db"
version = "1.3.22"
authors = ["Shigeo NAKAMURA <nakamura_shigeo@yahoo.com>"]
description = "DB accesser"
homepage = "https://crates.io/crates/debot-db"
documentation = "https://docs.rs/debot-db/"
license = "MIT"
repository = "https://github.com/shigeo-nakamura/debot-db"

[dependencies.async-trait]
version = "0.1.68"

[dependencies.bincode]
version = "1.3.3"

[dependencies.bson]
version = "2.0.0"

[dependencies.chrono]
version = "0.4"

[dependencies.debot-utils]
version = "1.0.*"

[dependencies.env_logger]
version = "0.10.0"

[dependencies.futures]
version = "0.3.28"

[dependencies.log]
version = "0.4.17"

[dependencies.mongodb]
version = "2.2.1"
features = ["async-std-runtime"]
default-features = false

[dependencies.rust_decimal]
version = "1.0"
features = ["serde"]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.shared_mongodb]
version = "0.1.7"

[dependencies.tokio]
version = "1.0"
features = ["full"]
